src/oc-id/config/routes.rb
OcId::Application.routes.draw do
  root 'home#index'
  get 'id', to: 'home#index'

  scope :id do
    use_doorkeeper

    get 'signin', to: 'sessions#new'
    delete 'signout', to: 'sessions#destroy'

    post '/auth/chef/callback', to: 'sessions#create'
    get '/auth/failure', to: 'sessions#retry'

    resources :sessions, only: [:new, :create, :destroy]
    resource :password_reset, path: '/password-reset', except: [:destroy, :edit]

    resource :profile, only: [:show, :update] do
      put  "password" => "profiles#change_password"
      get  "email" => "profiles#change_email"
      post "regen_key"
    end

    resource :zendesk, only: [:show] do
      get 'signout', to: 'zendesks#signout'
    end

    namespace :v1 do
      resources :users, only: :show

      get 'me', to: 'users#me'
      get 'me/organizations', to: 'users#organizations'
      get 'status', to: 'health#show'
    end
  end
end

src/oc-id/app/views/layouts/application.html.erb
<!DOCTYPE html>
<html class="no-js" lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Chef Identity Service</title>
  <%= stylesheet_link_tag "application", media: "all" %>
  <%= javascript_include_tag '//cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.3/modernizr.min.js' %>
  <%= csrf_meta_tags %>
</head>
<body>
  <div class="contain-to-grid">
    <nav class="top-bar" data-topbar role="navigation">
      <ul class="title-area">
        <li class="name">
          <h1>
            <%= chef_logo(:a, :href => root_path, :class => 'logo').html_safe %>
          </h1>
        </li>
        <li class="toggle-topbar menu-icon"><a href="#"><span></span></a></li>
      </ul>
      <div class="top-bar-section main">
        <ul class="left">
          <% if signed_in? %>
            <li><%= link_to "Signed in as: #{current_user.username}", profile_path %></li>
            <% if User.admin?(current_user.username) %>
              <li><%= link_to 'Applications', oauth_applications_path %></li>
            <% end %>
            <li><%= link_to 'Authorized Applications', oauth_authorized_applications_path %></li>
            <li><%= link_to "Sign Out", signout_path, method: "delete" %></li>
          <% elsif controller.controller_name == 'sessions' %>
            <li><%= link_to "Sign Up", chef_sign_up_url, :target => "_blank" %></li>
          <% else %>
            <li><%= link_to "Sign In", signin_path %></li>
          <% end %>
        </ul>
      </div>
    </nav>
  </div>
  <div class="row">
    <% flash.each do |key, value| %>
      <div data-alert class="alert-box radius <%= chef_class_for(key) %>">
        <%= value %>
        <a href="#" class="close">&times;</a>
      </div>
    <% end %>
    <%= yield %>
  </div>
  <footer>
    &copy; <%= Time.now.year %> Chef Software, Inc.
  </footer>
  <%= javascript_include_tag "application" %>
  <script>
    $(document).chef({
      assets: {
        images: '<%= Rails.application.config.assets.prefix %>'
      }
    });
  </script>
</body>
</html>